Request login OTP
POST
/cms/customer/login/request
const url = 'https://api.example.com/cms/customer/login/request';const options = { method: 'POST', headers: {'API-Key': '<API-Key>', 'Content-Type': 'application/json'}, body: '{"email":"example","client_id":"example","client_secret":"example","code_challenge":"example","code_challenge_method":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/customer/login/request \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "client_id": "example", "client_secret": "example", "code_challenge": "example", "code_challenge_method": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
string
client_id
string
client_secret
string
code_challenge
string
code_challenge_method
string
Example generated
{ "email": "example", "client_id": "example", "client_secret": "example", "code_challenge": "example", "code_challenge_method": "example"}Responses
Section titled “Responses”OTP request result
Media typeapplication/json
object
completed
boolean
Example generated
{ "completed": true}